/*
 * Class WEL_SHARED_METRICS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_551 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_551 [] = {0xFF01,1551,550,0xFFFF};
static const EIF_TYPE_INDEX egt_2_551 [] = {0xFF01,550,0xFFFF};
static const EIF_TYPE_INDEX egt_3_551 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_551 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_551 [] = {0xFF01,550,0xFFFF};
static const EIF_TYPE_INDEX egt_6_551 [] = {0xFF01,550,0xFFFF};
static const EIF_TYPE_INDEX egt_7_551 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_551 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_551 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_551 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_551 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_551 [] = {0xFF01,550,0xFFFF};
static const EIF_TYPE_INDEX egt_13_551 [] = {0xFF01,1317,0xFFFF};


static const struct desc_info desc_551[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_551), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_551), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_551), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_551), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_551), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_551), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_551), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_551), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_551), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_551), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_551), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_551), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x044D /*550*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_551), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_551), 9732, 0xFFFFFFFF},
};
void Init551(void)
{
	IDSC(desc_551, 0, 550);
	IDSC(desc_551 + 1, 1, 550);
	IDSC(desc_551 + 32, 633, 550);
}


#ifdef __cplusplus
}
#endif
